com.unitech.stuhfl

## Class STUHFL_T_ST25RU3993_FreqContinuousModulation

- java.lang.Object
- - com.unitech.stuhflBridge.BR_ST25RU3993_FreqContinuousModulation
  - - com.unitech.stuhfl.STUHFL_T_ST25RU3993_FreqContinuousModulation

-     public class STUHFL_T_ST25RU3993_FreqContinuousModulation
      extends BR_ST25RU3993_FreqContinuousModulation

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.unitech.stuhflBridge.BR_ST25RU3993_FreqContinuousModulation

      `BR_ST25RU3993_FreqContinuousModulation.Fields`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `enableContMod` < I Param: Frequency to be used for continuouse modulation
    `long` | `frequency`
    `int` | `maxSendingTime` < I Param: Flag to enable or disable modulation
    `STUHFL_E.CONTINUOUS_MODULATION_MODE` | `modulationMode` < I Param: Maximum modulation time in ms.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `STUHFL_T_ST25RU3993_FreqContinuousModulation()`
    `STUHFL_T_ST25RU3993_FreqContinuousModulation(long frequency, boolean enableContMod, int maxSendingTime, STUHFL_E.CONTINUOUS_MODULATION_MODE modulationMode)`
    `STUHFL_T_ST25RU3993_FreqContinuousModulation(STUHFL_T_ST25RU3993_FreqContinuousModulation other)` < I Param: Modulation mode

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `STUHFL_E.RET_CODE` | `commit()` Set continuous modulation configuration and start modulating
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.unitech.stuhflBridge.BR_ST25RU3993_FreqContinuousModulation

      `_Set_FreqContinuousModulation`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### frequency

          public long frequency

    - #### enableContMod

          public boolean enableContMod

      < I Param: Frequency to be used for continuouse modulation

    - #### maxSendingTime

          public int maxSendingTime

      < I Param: Flag to enable or disable modulation

    - #### modulationMode

          public STUHFL_E.CONTINUOUS_MODULATION_MODE modulationMode

      < I Param: Maximum modulation time in ms. If zero the modulation will not stopped automatically

  - ### Constructor Detail

    - #### STUHFL_T_ST25RU3993_FreqContinuousModulation

          public STUHFL_T_ST25RU3993_FreqContinuousModulation(STUHFL_T_ST25RU3993_FreqContinuousModulation other)

      < I Param: Modulation mode

    - #### STUHFL_T_ST25RU3993_FreqContinuousModulation

          public STUHFL_T_ST25RU3993_FreqContinuousModulation(long frequency,
                                                              boolean enableContMod,
                                                              int maxSendingTime,
                                                              STUHFL_E.CONTINUOUS_MODULATION_MODE modulationMode)

    - #### STUHFL_T_ST25RU3993_FreqContinuousModulation

          public STUHFL_T_ST25RU3993_FreqContinuousModulation()

  - ### Method Detail

    - #### commit

          public STUHFL_E.RET_CODE commit()

      Set continuous modulation configuration and start modulating
      Returns:
        error code

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`